Error al importar con J2xml  

 
Jorge
 Jorge
Estimable Member

Hola,

Me daba un error al migrar artículos de la 1.5.x a la 2.5.x pero como lo he solucionado lo subo para que todo el mundo se beneficie de mi experiencia.

Doy por hecho que está instalado el j2xml en la 1.5 y en la 2.5

Resulta que exporto los artículos de contenido desde la 1.5 y genera un archivo .xml

Después voy a la 2.5 e intento importar dichos arículos.

¿Que me pasa? Error. Formato de archivo desconocido. Imposible importarlo.
El mensaje en inglés es: File format unknown. Impossible to import file.

Pienso... Uf, mal asunto. Pienso... código, core, versión nueva...

Vuelvo a pensar... No puede ser, esta extensión la he probado montones de veces y funciona fenomenal. A veces los mensajes nada tienen que ver con los resultados. ¿Como no va a reconocer el formato que él ha generado?

Vuelvo a pensar... ¿Y si no está bien finalizado el .xml? ¿Y si es demasiado grande el archivo?

Pruebo exportando sólo 5 artículos. Me voy a la 2.5 y voilá: ¡¡¡Problema solucionado!!!

Solución: exporto por bloques de archivos desde la 1.5 y voy importándolos en varias veces.

Estoy seguro que a más de uno le va a servir porque la migración a la 2.5 y a la 3.x la vais a tener que hacer tarde o temprano.

Un saludo a todos

Jorge Mayor

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 07/02/2013 9:06 am
Jordi Sala
 Jordi Sala
Miembro Admin

Hola Jorge,

Gracias por compartir esta experiencia, seguro que más de un usuario se queda atascado en ese paso.

La extensión que indicas es una alternativa a realizar migraciones con Jupgrade.

J2XML http://extensions.joomla.org/extensions/migration-a-conversion/data-import-a-export/12816

J2XML Importer http://extensions.joomla.org/extensions/migration-a-conversion/joomla-migration/15807

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio

ResponderCitar
Respondido : 07/02/2013 9:35 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Jorge
 Jorge
Estimable Member

Hola Jordi,

De nada. Sí es una alternativa a Jupgrade porque a veces la plantilla no funciona con la versión 2.5 y la mejor opción es utilizar una que sí que funcione en la 2.5

Un saludo

Jorge

ResponderCitar
Respondido : 08/02/2013 3:00 pm

Por favor Iniciar Sesión o Registro